commit:     cfc168951fee6da3b27c2ea9e15ad4a541774df0
Author:     leycec <leycec <AT> gmail <DOT> com>
AuthorDate: Fri Jul 16 07:11:21 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sun Jul 18 08:34:40 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=cfc16895

dev-python/schema: add

add schema, a mandatory dependency of CadQuery pywrap

Signed-off-by: Cecil Curry <leycec <AT> gmail.com>
Closes: https://github.com/gentoo/sci/pull/1098
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/schema/metadata.xml        | 13 +++++++++++++
 dev-python/schema/schema-0.7.4.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/schema/metadata.xml b/dev-python/schema/metadata.xml
new file mode 100644
index 000000000..440ea4da1
--- /dev/null
+++ b/dev-python/schema/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Science Project</name>
+       </maintainer>
+       <stabilize-allarches/>
+       <upstream>
+               <remote-id type="pypi">schema</remote-id>
+               <remote-id type="github">keleshev/schema</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-python/schema/schema-0.7.4.ebuild 
b/dev-python/schema/schema-0.7.4.ebuild
new file mode 100644
index 000000000..05e8712bb
--- /dev/null
+++ b/dev-python/schema/schema-0.7.4.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Schema validation just got Pythonic"
+HOMEPAGE="https://pypi.org/project/schema";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="test? ( dev-python/mock[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # Prevent schema from unconditionally requiring the last-rited 
contextlib2,
+       # which schema actually conditionally requires only under EOL Python 
2.x.
+       sed -i -e '/\binstall_requires=/d' setup.py || die
+}

Reply via email to